Subject: Re: git push hung?

From: Torsten Bögershausen <[email-masked]>
Date: Sun, 07 Dec 2014 18:57:33 +0100

On 2014-12-07 15.24, Jason Pyeron wrote:
> I am trying to push to our local intranet git (smart https behind apache), and it has been at this point for 10+ hours.
> 
> jpyeron@black /projects/git/git
> $ GIT_TRACE=1 git push
> 09:08:45.662902 git.c:349               trace: built-in: git 'push'
> 09:08:45.662902 run-command.c:341       trace: run_command: 'git-remote-https' 'origin' 'https://intranet.pdinc.us/git/git/'
> 09:08:46.225700 run-command.c:341       trace: run_command: 'git credential-cache --timeout=99999999999 get'
> 09:08:46.256967 run-command.c:192       trace: exec: '/bin/sh' '-c' 'git credential-cache --timeout=99999999999 get' 'git credential-cache --timeout=99999999999 get'
> 09:08:46.366400 git.c:554               trace: exec: 'git-credential-cache' '--timeout=99999999999' 'get'
> 09:08:46.366400 run-command.c:341       trace: run_command: 'git-credential-cache' '--timeout=99999999999' 'get'
> 09:08:47.022999 run-command.c:341       trace: run_command: 'git credential-cache --timeout=99999999999 store'
> 09:08:47.038632 run-command.c:192       trace: exec: '/bin/sh' '-c' 'git credential-cache --timeout=99999999999 store' 'git credential-cache --timeout=99999999999 store'
> 09:08:47.116799 git.c:554               trace: exec: 'git-credential-cache' '--timeout=99999999999' 'store'
> 09:08:47.116799 run-command.c:341       trace: run_command: 'git-credential-cache' '--timeout=99999999999' 'store'
> 09:08:47.366931 run-command.c:341       trace: run_command: 'send-pack' '--stateless-rpc' '--helper-status' '--thin' '--progress' 'https://intranet.pdinc.us/git/git/' 'refs/heads/master:refs/heads/master'
> 09:08:47.382565 exec_cmd.c:134          trace: exec: 'git' 'send-pack' '--stateless-rpc' '--helper-status' '--thin' '--progress' 'https://intranet.pdinc.us/git/git/' 'refs/heads/master:refs/heads/master'
> 09:08:47.429465 git.c:349               trace: built-in: git 'send-pack' '--stateless-rpc' '--helper-status' '--thin' '--progress' 'https://intranet.pdinc.us/git/git/' 'refs/heads/master:refs/heads/master'
> 09:08:47.538898 run-command.c:341       trace: run_command: 'pack-objects' '--all-progress-implied' '--revs' '--stdout' '--thin' '--delta-base-offset' '--progress'
> 09:08:47.695231 exec_cmd.c:134          trace: exec: 'git' 'pack-objects' '--all-progress-implied' '--revs' '--stdout' '--thin' '--delta-base-offset' '--progress'
> 09:08:47.742131 git.c:349               trace: built-in: git 'pack-objects' '--all-progress-implied' '--revs' '--stdout' '--thin' '--delta-base-offset' '--progress'
> Counting objects: 18734, done.
> Delta compression using up to 2 threads.
> Compressing objects: 100% (5707/5707), done.
> Writing objects: 100% (18734/18734), 9.37 MiB | 0 bytes/s, done.
> Total 18734 (delta 14519), reused 17108 (delta 12968)
> 
> Servier died, this is in the log:
> 
> fatal: protocol error: expected old/new/ref, got 'shallow 3339e9f686bd4c17e3575c71327c4ccf1e8e077b'
> 
> What steps can I take to debug this hang in the client?
> 
> Git fetch hangs the same way with a server exit of fatal: did not find object for shallow 3339e9f686bd4c17e3575c71327c4ccf1e8e077b
> 
> Note: I fixed the underlying problem with a git fetch --unshallow upstream
>
Was the log above after the git fetch --unshallow upstream ?
What is the output if you run the following commands on the server:
git show 3339e9f686bd4c17e
git fsck
git --version
which git

(And what on the client)